[tool.poetry]
name = "auk"
version = "0.1.0"
description = ""
authors = ["Vinicius Henrique Silva Bastos <viniciushsbastos@gmail.com>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.11"
google-cloud-compute = "^1.11.0"
click = "^8.1.3"
aws-cdk-lib = "^2.82.0"
aws-cdk-cli-lib-alpha = "^2.82.0a0"
jsii = "^1.82.0"
boto3 = "^1.26.146"

[tool.poetry.scripts]
auk = "auk.__main__:main"

[tool.poetry.group.dev.dependencies]
ipdb = "^0.13.13"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
